Summary:	A GObject library for dealing with Xesam services
Name:		xesam-glib
Version:	0.5.0
Release:	1%{?dist}
License:	LGPLv2+
Group:		Applications/System
URL:		http://xesam.org/people/kamstrup/xesam-glib/
Source0:	http://xesam.org/people/kamstrup/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	dbus-glib-devel gettext
BuildRequires:	gtk-doc pkgconfig perl(XML::Parser)

%description
Xesam-GLib is a GObject library for dealing with Xesam services.
Xesam is an umbrella project with the purpose of providing unified APIs and
specs for desktop search- and metadata services provided by applications such
as, Tracker, Strigi, Beagle, Pinot, Recoll, and Nepomuk-KDE.

%package devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	dbus-glib-devel

%description devel
This package contains the libraries and header files needed for
developing with xesam-glib.

%prep
%setup -q

%build
%configure --disable-static 
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}%{_prefix}/doc
rm -rf %{buildroot}%{_libdir}/*.la

# 'make check' will require a Xesam compliant desktop search service running 
#%check
#make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc ChangeLog COPYING MAINTAINERS NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/xesam-1.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/xesam-glib/

%changelog
* Tue Oct 07 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Wed Jun 25 2008 Deji Akingunola <dakingun@gmail.com> - 0.3.0-1
- Update to 0.3.0
- Implement some feedbacks from Fedora package review (#446158) 

* Mon May 12 2008 Deji Akingunola <dakingun@gmail.com> - 0.2.1-1
- Initial packaging for Fedora.
